Contents

API reference

Push notifications

API reference descriptions are provided in English to preserve the exact published contract.

Register this browser for push notifications

POST /v1/accounts/{AC}/push/subscriptions

Required scope: `notifications:read`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
Request body (5 fields)
Request body
NameTypeRequiredDescription
endpointstring (max 2048 chars)yes
keysobjectyes
keys.authstring (max 64 chars)yes
keys.p256dhstring (max 200 chars)yes
userAgentstring (max 512 chars)

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Withdraw this browser's push subscription

DELETE /v1/accounts/{AC}/push/subscriptions

Required scope: `notifications:read`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
Request body (1 fields)
Request body
NameTypeRequiredDescription
endpointstring (max 2048 chars)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

The public key a browser subscribes with

GET /v1/accounts/{AC}/push/vapid

Required scope: `notifications:read`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.